Usage improvement: Be sure to focus jump-to-file dialog when invoking from global shortcut

April 01, 2012 22:41 - Christian Iversen

Status: Rejected Start date: April 01, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.1   

Description

When I invoke the jump-to-file dialog from a global shortcut, the dialog does pop up correctly, but it is usually below other windows,

and never focused. This is of course not a problem when Audacious already has the focus, but it would be a great idea to add

.focus() after the call to open the dialog, when calling from the Global Shortcuts plugin.

History

#1 - April 02, 2012 00:54 - John Lindgren

- Status changed from New to Rejected

- Target version deleted (3.2.3)

We call gtk_window_present(), which is all that can be done from the application side.  After that, it's up to your window manager.  You should check

to see that it doesn't have something like "focus stealing prevention" enabled.

#2 - April 08, 2012 22:56 - Christian Iversen

I used a KWin rule to set "prevent focus stealing" to "none" for this window. That worked perfectly, thanks!
